import type { PluginItem } from '@babel/core';
type StyledJsxPlugin = [string, any] | string;
type StyledJsxBabelOptions = {
  plugins?: StyledJsxPlugin[];
  styleModule?: string;
  'babel-test'?: boolean;
} | undefined;
export type NextBabelPresetOptions = {
  'preset-env'?: any;
  'preset-react'?: any;
  'class-properties'?: any;
  'transform-runtime'?: any;
  'styled-jsx'?: StyledJsxBabelOptions;
  'preset-typescript'?: any;
};
export type BabelPreset = {
  presets?: PluginItem[] | null;
  plugins?: PluginItem[] | null;
  sourceType?: 'script' | 'module' | 'unambiguous';
  overrides?: Array<{
    test: RegExp;
  } & Omit<BabelPreset, 'overrides'>>;
};
declare const _default: (api: any, options?: NextBabelPresetOptions) => BabelPreset;
export default _default;