/**
 * Source: https://github.com/vercel/next.js/blob/f6998e30a815e976173501a62e6e481f92699d81/packages/next/src/build/babel/plugins/next-ssg-transform.ts
 */
import type { NodePath, PluginObj, types as BabelTypes } from '@babel/core';
export declare const EXPORT_NAME_GET_STATIC_PROPS = "getStaticProps";
export declare const EXPORT_NAME_GET_STATIC_PATHS = "getStaticPaths";
export declare const EXPORT_NAME_GET_SERVER_PROPS = "getServerSideProps";
type PluginState = {
  refs: Set<NodePath<BabelTypes.Identifier>>;
  isPrerender: boolean;
  isServerProps: boolean;
  done: boolean;
};
export default function nextTransformSsg({
  types: t
}: {
  types: typeof BabelTypes;
}): PluginObj<PluginState>;
export {};